## rich 0.1

=== DESCRIPTION ===
Package: rich
Type: Package
Title: Species richness estimation and comparison
Version: 0.1
Date: 2010-10-21
Author: Jean-Pierre Rossi
Maintainer: Jean-Pierre Rossi <jean-pierre.rossi@supagro.inra.fr>
Depends: vegan, boot
Description: Computes rarefaction curves, cumulated and mean species
        richness. Compares these estimates by means of randomization
        tests.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2011-01-19 07:07:32 UTC; rossi
Repository: CRAN
Date/Publication: 2011-01-19 08:21:30

## rich 0.2

=== DESCRIPTION ===
Package: rich
Type: Package
Title: Computes and compares species richnesses
Version: 0.2
Date: 2012-22-03
Author: Jean-Pierre Rossi
Maintainer: Jean-Pierre Rossi <jean-pierre.rossi@supagro.inra.fr>
Depends: boot, vegan, permute
Description: Computes rarefaction curves, cumulated and mean species
        richness. Compares these estimates by means of randomization
        tests.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2012-03-26 07:01:55 UTC; rossi
Repository: CRAN
Date/Publication: 2012-03-26 10:11:43

## rich 0.3

=== DESCRIPTION ===
Package: rich
Version: 0.3
Date: 2012-221-11
Title: Computes and compares species richnesses
Author: Jean-Pierre Rossi
Maintainer: Jean-Pierre Rossi <jean-pierre.rossi@supagro.inra.fr>
Depends: boot, vegan, permute
Description: Computes rarefaction curves, cumulated and mean species
        richness. Compares these estimates by means of randomization
        tests.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2012-11-21 14:45:13 UTC; rossi
Repository: CRAN
Date/Publication: 2012-11-21 16:31:18

## rich 1.0.1

=== DESCRIPTION ===
Package: rich
Type: Package
Title: Computes and Compares Species Richnesses
Version: 1.0.1
Date: 2016-12-08
Author: Jean-Pierre Rossi
Maintainer: Jean-Pierre Rossi <jean-pierre.rossi@supagro.inra.fr>
Depends: R (>= 3.1.0)
Imports: vegan, boot
Description: Computes rarefaction curves, cumulated and mean species
        richness. Compares these estimates by means of randomization
        tests.
License: GPL (>= 2)
LazyLoad: TRUE
Suggests: knitr, gplots, rmarkdown
VignetteBuilder: knitr
Repository: CRAN
Repository/R-Forge/Project: rich
Repository/R-Forge/Revision: 5
Repository/R-Forge/DateTimeStamp: 2016-08-12 09:22:54
Date/Publication: 2016-08-12 16:36:36
NeedsCompilation: no
Packaged: 2016-08-12 09:45:51 UTC; rforge

## rich 9.11.0

=== Makefile ===
test:
	pytest --cov-report term-missing --cov=rich tests/ -vv
format-check:
	black --check .
format:
	black .
typecheck:
	mypy -p rich --ignore-missing-imports --warn-unreachable
typecheck-report:
	mypy -p rich --ignore-missing-imports --warn-unreachable --html-report mypy_report
.PHONY: docs
docs:
	cd docs; make html

=== docs/requirements.txt ===
alabaster==0.7.12
Sphinx==3.5.0
sphinx-rtd-theme==0.5.1

=== debian/changelog ===
rich (9.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 17 Feb 2021 23:41:59 -0500

rich (9.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 27 Jan 2021 00:14:21 -0500

rich (9.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Jan 2021 23:50:37 -0500

rich (9.6.1-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright notices
    - wrap MIT license text
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Jan 2021 23:47:43 -0500

rich (9.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Oct 2020 21:37:56 -0400

rich (8.0.0-2) unstable; urgency=medium

  * debian/control
    - use versioned b-d to match what's in setup.py
  * debian/rules
    - run all tests, now that b-d are at the right version

 -- Sandro Tosi <morph@debian.org>  Fri, 09 Oct 2020 16:57:40 -0400

rich (8.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - track github for releases
  * debian/setup.py
    - refresh from pyproject.toml
  * debian/rules
    - skip failing test (issues/360)

 -- Sandro Tosi <morph@debian.org>  Wed, 07 Oct 2020 23:25:31 -0400

rich (1.3.1-1) unstable; urgency=low

  * Initial release; Closes: #954301

 -- Sandro Tosi <morph@debian.org>  Thu, 04 Jun 2020 05:51:44 +0000

=== debian/control ===
Source: rich
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-commonmark (>= 0.9.0),
               python3-colorama (>= 0.4.0),
               python3-mypy (>= 0.782),
               python3-pygments (>= 2.6.0),
               python3-pytest,
               python3-setuptools,
               python3-typing-extensions (>= 3.7.4),
Standards-Version: 4.5.1
Homepage: https://github.com/willmcgugan/rich
Vcs-Git: https://salsa.debian.org/python-team/packages/rich.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/rich

Package: python3-rich
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: render rich text, tables, progress bars, syntax highlighting, markdown and more
 Rich is a Python library for rich text and beautiful formatting in the
 terminal.
 .
 The Rich API makes it easy to add color and style to terminal output. Rich can
 also render pretty tables, progress bars, markdown, syntax highlighted source
 code, tracebacks, and more — out of the box.
 .
 Here's a list of the core functionalities of rich:
 .
  * to effortlessly add rich output to your application, you can import the rich
    print method, which has the same signature as the builtin Python function
  * Rich can be installed in the Python REPL, so that any data structures will
    be pretty printed and highlighted
  * for more control over rich terminal content, import and construct a Console
    object. The Console object has a print method which has an intentionally
    similar interface to the builtin print function
  * to insert an emoji in to console output place the name between two colons
  * Rich can render flexible tables with unicode box characters. There is a
    large variety of formatting options for borders, styles, cell alignment etc
  * Rich can render multiple flicker-free progress bars to track long-running
    tasks.
  * Rich can render content in neat columns with equal or optimal width.
  * Rich can render markdown and does a reasonable job of translating the
    formatting to the terminal
  * Rich can render beautiful tracebacks which are easier to read and show more
    code than standard Python tracebacks. You can set Rich as the default
    traceback handler so all uncaught exceptions will be rendered by Rich.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=rich

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	PYBUILD_SYSTEM=custom PYBUILD_INSTALL_ARGS="{interpreter} debian/setup.py install --root={destdir}" dh_auto_install

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR) {interpreter} -m pytest" dh_auto_test

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rich-$1.tar.gz%" \
https://github.com/willmcgugan/rich/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## rich 11.2.0

=== Makefile ===
test:
	TERM=unknown pytest --cov-report term-missing --cov=rich tests/ -vv
format-check:
	black --check .
format:
	black .
typecheck:
	mypy -p rich --strict --no-incremental
typecheck-report:
	mypy -p rich --strict --html-report mypy_report
.PHONY: docs
docs:
	cd docs; make html

=== docs/requirements.txt ===
alabaster==0.7.12
Sphinx==4.4.0
sphinx-rtd-theme==1.0.0
sphinx-copybutton==0.4.0

=== debian/changelog ===
rich (11.2.0-1) unstable; urgency=medium

  * New upstream release; Closes: #1006042, #983326
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 27 Feb 2022 00:19:34 -0500

rich (10.16.2-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Jan 2022 21:58:39 -0500

rich (10.15.2-2) unstable; urgency=medium

  * use poetry PEP517 build backend

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Dec 2021 22:49:20 -0500

rich (10.15.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Dec 2021 00:53:57 -0500

rich (10.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 07 Nov 2021 21:09:08 -0500

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               pybuild-plugin-pyproject,
+               python3-colorama (>= 0.4.0),
+               python3-commonmark (>= 0.9.0),
+               python3-mypy (>= 0.782),
+               python3-poetry,
                python3-all,
-               python3-commonmark (>= 0.9.0),
-               python3-colorama (>= 0.4.0),
-               python3-mypy (>= 0.782),
                python3-pygments (>= 2.6.0),
                python3-pytest,
                python3-setuptools,
                python3-typing-extensions (>= 3.7.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/willmcgugan/rich
 Vcs-Git: https://salsa.debian.org/python-team/packages/rich.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rich

## rich 12.1.0

=== Makefile ===
test:
	TERM=unknown pytest --cov-report term-missing --cov=rich tests/ -vv
format-check:
	black --check .
format:
	black .
typecheck:
	mypy -p rich --no-incremental
typecheck-report:
	mypy -p rich --html-report mypy_report
.PHONY: docs
docs:
	cd docs; make html

=== docs/requirements.txt ===
alabaster==0.7.12
Sphinx==4.5.0
sphinx-rtd-theme==1.0.0
sphinx-copybutton==0.5.0

=== debian/changelog ===
rich (12.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 May 2022 12:54:34 -0700

rich (12.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop dependency on python3-colorama, no longer needed.
  * Declare Rules-Requires-Root: no.
  * Add autopkgtest that runs the upstream test suite.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 03 Apr 2022 12:24:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: rich
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
-               python3-colorama (>= 0.4.0),
+               python3-all,
                python3-commonmark (>= 0.9.0),
                python3-mypy (>= 0.782),
                python3-poetry,
-               python3-all,
                python3-pygments (>= 2.6.0),
                python3-pytest,
                python3-setuptools,
-               python3-typing-extensions (>= 3.7.4),
+               python3-typing-extensions (>= 3.7.4)
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/willmcgugan/rich
 Vcs-Git: https://salsa.debian.org/python-team/packages/rich.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rich
+Rules-Requires-Root: no
 
 Package: python3-rich
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-Recommends: ${python3:Recommends},
-Suggests: ${python3:Suggests},
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: ${python3:Recommends}
+Suggests: ${python3:Suggests}
 Description: render rich text, tables, progress bars, syntax highlighting, markdown and more
  Rich is a Python library for rich text and beautiful formatting in the
  terminal.

=== debian/tests/control ===
Tests: unittests
Depends: python3-all, python3-pytest, python3-rich

## rich 12.4.4

=== debian/changelog ===
rich (12.4.4-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andrius Merkys ]
  * New upstream version 12.4.4

 -- Andrius Merkys <merkys@debian.org>  Mon, 30 May 2022 16:16:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: rich
 Section: python
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
-               python3-all,
                python3-commonmark (>= 0.9.0),
                python3-mypy (>= 0.782),
                python3-poetry,
+               python3-all,
                python3-pygments (>= 2.6.0),
                python3-pytest,
                python3-setuptools,
-               python3-typing-extensions (>= 3.7.4)
+               python3-typing-extensions (>= 3.7.4),
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/willmcgugan/rich
 Vcs-Git: https://salsa.debian.org/python-team/packages/rich.git
@@ -22,9 +21,10 @@
 
 Package: python3-rich
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+Recommends: ${python3:Recommends},
+Suggests: ${python3:Suggests},
 Description: render rich text, tables, progress bars, syntax highlighting, markdown and more
  Rich is a Python library for rich text and beautiful formatting in the
  terminal.

## rich 13.3.1

=== docs/requirements.txt ===
alabaster==0.7.12
Sphinx==5.1.1
sphinx-rtd-theme==1.0.0
sphinx-copybutton==0.5.0

=== debian/changelog ===
rich (13.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Feb 2023 22:31:56 -0500

rich (13.2.0-2) unstable; urgency=medium

  * debian/control
    - bump b-d on pygments to >= 2.14.0, prevents autopkgtest failures
    - drop commonmark from b-d, replaced by markdown-it

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2023 11:52:19 -0500

rich (13.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/0001-tests-Adjustments-to-run-tests-with-pygments-2.14.0.patch
    - drop patch, merged upstream, making the previous NMU gratuitous
  * debian/control
    - add markdown-it to b-d, needed by tests

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Jan 2023 22:49:23 -0500

rich (13.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch for pygments 2.14.0 (Closes: #1028619)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Jan 2023 20:51:23 +0100

rich (13.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * run autopkgtest via autopkgtest-pkg-pybuild
  * debian/control
    - b-d on poetry-core not poetry
    - bump Standards-Version to 4.6.2.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 03 Jan 2023 16:40:55 -0500

rich (12.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 12.6.0; Closes: #1025182

 -- Andrius Merkys <merkys@debian.org>  Thu, 01 Dec 2022 06:21:06 -0500

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,20 @@
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
-               python3-commonmark (>= 0.9.0),
+               python3-all,
+               python3-markdown-it <!nocheck>,
                python3-mypy (>= 0.782),
-               python3-poetry,
-               python3-all,
-               python3-pygments (>= 2.6.0),
+               python3-poetry-core,
+               python3-pygments (>= 2.14.0),
                python3-pytest,
                python3-setuptools,
                python3-typing-extensions (>= 3.7.4),
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2.0
 Homepage: https://github.com/willmcgugan/rich
 Vcs-Git: https://salsa.debian.org/python-team/packages/rich.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rich
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-rich
 Architecture: all

## rich 13.7.1

=== docs/requirements.txt ===
alabaster==0.7.12
Sphinx==5.1.1
sphinx-rtd-theme==1.0.0
sphinx-copybutton==0.5.1

=== debian/changelog ===
rich (13.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Mon, 04 Mar 2024 18:07:14 -0500

rich (13.7.0-1) unstable; urgency=medium

  * New upstream release
  * debian/salsa-ci.yml
    - delete
  * debian/control
    - Revert unwelcomed "routine-update: Reorder sequence of d/control fields
      by cme"
  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 16:52:45 -0500

rich (13.3.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: add explicit build-dep on python3-attr to fix FTBFS.
    Closes: #1042318
  * d/control,copyright: update homepage URL. Closes: #1038963
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Security-Contact.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 12 Sep 2023 11:16:15 +0200

## rich 13.9.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 test:
 	TERM=unknown pytest --cov-report term-missing --cov=rich tests/ -vv
+test-no-cov:
+	TERM=unknown pytest tests/ -vv
 format-check:
 	black --check .
 format:

=== docs/requirements.txt ===
alabaster==1.0.0
Sphinx==7.3.7
sphinx-rtd-theme==2.0.0
sphinx-copybutton==0.5.1
importlib-metadata; python_version < '3.8'

=== debian/changelog ===
rich (13.9.4-1) unstable; urgency=medium

  * New upstream release; Closes: #1082290

 -- Sandro Tosi <morph@debian.org>  Tue, 24 Dec 2024 01:22:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,
                python3-markdown-it <!nocheck>,
+               python3-attr <!nocheck>,
                python3-mypy (>= 0.782),
                python3-poetry-core,
                python3-pygments (>= 2.14.0),
                python3-pytest,
                python3-setuptools,
                python3-typing-extensions (>= 3.7.4),
-Standards-Version: 4.6.2.0
-Homepage: https://github.com/willmcgugan/rich
-Vcs-Git: https://salsa.debian.org/python-team/packages/rich.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/rich
+Standards-Version: 4.6.2
+Homepage: https://github.com/Textualize/rich
+Vcs-Git: https://salsa.debian.org/morph/rich.git
+Vcs-Browser: https://salsa.debian.org/morph/rich
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=rich

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR) {interpreter} -m pytest" dh_auto_test

## rich argparse-1.7.2

=== tests/requirements.txt ===
pytest
coverage[toml]
covdefaults
pytest-cov
typing-extensions; python_version < "3.10"
